# cp_mgmt_threat_protection_override – Edit existing object using object name or uid

New in version 2.9.

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Edit existing object using object name or uid.

- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
comments string |  | Protection comments.

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

follow_up
boolean

Choices:
- no
- yes

Tag the protection with pre-defined follow-up flag.

name string |  | Object name.
overrides list |  | Overrides per profile for this protection<br> Note, Remove override for Core protections removes only the action's override. Remove override for Threat Cloud protections removes the action, track and packet captures.

action
string

Choices:
- Threat Cloud: Inactive
- Detect
- Prevent <br> Core: Drop
- Inactive
- Accept

Protection action.

capture_packets
boolean

Choices:
- no
- yes

Capture packets.

| profile string |  | Profile name.

track
string

Choices:
- none
- log
- alert
- mail
- snmp trap
- user alert
- user alert 1
- user alert 2

Tracking method for protection.

version string |  | Version of checkpoint. If not given one, the latest version taken.

wait_for_task
boolean

Choices:
- no
- yes ←

Wait for the task to end. Such as publish task.

## Examples

    - name: threat_protection_override
      cp_mgmt_threat_protection_override:
        name: FTP Commands
        overrides:
        - action: inactive
          capture_packets: true
          profile: New Profile 1
          track: None
        state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_threat_protection_override dictionary | always. | The checkpoint threat_protection_override output.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.